incubator-flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Wael Jammal <w...@rsnewmedia.co.uk>
Subject Re: Flex 5 UIComponent - Behavior Pattern
Date Thu, 26 Jan 2012 09:37:23 GMT
I agree with this, Flex 3 and Flex 4 should be kept apart and in my view
both moving to Apache and starting a fresh is as good as time as any to
trim away the fat as it's something I believe will be harder once you
release a build that people actually start using then you are stuck
maintaining that backwards compatibility.

I'd like to think of it as building a new and improved Framework sometimes
people will release a new major revision that you can't just drop in
without making changes but you can still upgrade the old version to fix
some bugs. 

I do a similar thing with my framework I still fix any bugs that people
submit for V.9 of my framework but when I finished it at V1.0 you couldn't
drop it as an upgrade so now new projects are using V1.0 while theres a
Dozen+ projects using 0.9 which I only bug fix and never add new features
to.

Wael
http://www.Bojinx.Co.Uk 

On 26/01/2012 08:33, "Pepe" <pepe.fxug@gmail.com> wrote:

>I didn't mind backward compatibility even at Flex 4.
>But they left it. I guess there were some big voice.
>
>Current UIComponent is very fat.
>I believe dropping backward compatibility is neccesary in order that
>Flex evolves.
>
>New architecture and new component model are welcome.
>
>
>thanks
>
>Shigeru Nakagaki




Mime
View raw message